/* *******************************************************************
   Example board setting
   use this as base for your own setting
   Controller:   should be compatible with ESP32 and ESP8266
   Description:  Describe the board you have

   Amazon:       paste a link where you have bought it or a link to a datasheet
   Aliexpress:

  ********************************************************************/

#pragma once
#if USE_BOARD == 1                            // this is an ID for the configuration
#define TXT_BOARDNAME "Generic Webserver"     // the name of the board on webgui and Serial
HardwareSerial &Terminal = Serial;            // if you would need debug messages on another Serial, you could define it


// assign pins to arrays:
// Pins, which should be readed
Pin inputPin[] {
  // the pin    a name for the website
  {0,    "IO00"},   // the NodeMCU has a flash button
  {13,   "IO13"}, 
  {14,   "IO14"},    
  {15,   "IO39"}
};
// if you don't need to read input pins, delete the above structure and activate this line
// #define NO_INPUTPIN

// Pins, which can be switched on or off
OutputPin outputPin[] {
  // pin  a name  LOW active or HIGH active
  {2,    "IO02", HIGH},    // on some ESP8266-12e there is a blue LED on the ESP module
  {4,    "IO04", LOW},
  {5,    "IO05", HIGH} 
};
// if you don't need output pins to switch on/off delte the above structure and actviate the following line
// #define NO_OUTPUTPIN

// Pins, which can be switched on or off
// the ESP32 can use a maximum of 16 pins for PWM
PWMPin pwmPin[] {
  //pin   a name  a PWM value
  {16,   "IO16", 1023},    // on a NodeMCU there is a separate LED (invers)  
  {13,   "IO13", 511},
  {12,   "IO12", 0}  
};
// if you don't need pins with pwm outputs, delete the above structure and activate the following line
// #define NO_PWMPIN

// if you don't need shift registers use this define
#define NO_SHIFTPIN

const uint8_t wifiActivityPin = 2;   // if you want to indicate Wifi activity. Set to 255 if activity LED is not needed
#endif
