/* *******************************************************************
   Board Settings for
   Network Relay WIFI Module 
   Controller:   ESP8266
   Setting:      NodeMCU 1.0 (ESP-12E Module)  
                 4MB (FS:2MB OTA: ~1019KB)
   Description:  https://werner.rothschopf.net/201807_arduino_esp8266_wifimodule.htm (german)
 
   Amazon:       https://amzn.to/3sZYd0X
   Aliexpress:   https://s.click.aliexpress.com/e/_AAZ7Ne
  
  ********************************************************************/
 
#pragma once
#if USE_BOARD == 65                    // ESP8266: example board: 
#define TXT_BOARDNAME "Network Relay WIFI Module"        // the name of the board
HardwareSerial &Terminal = Serial;

const uint8_t flashPin = 0;            // GPIO00/D3 on NodeMCU the flash Button - this is for testing an input
const uint8_t inputAPin = 5;           // GPIO05 optocoupler in
const uint8_t ouputAPin = 4;           // GPIO04 Relay - Relais (high = on)
const uint8_t ledEspPin = 2;           // GPIO02/D4 is the (blue) LED on the ESP-12

// assign pins to arrays:
Pin inputPin[] {
  // the pin    a name for the website
  {inputAPin,   "Optocoupler"},         
  {flashPin,    "Flash Jumper"},
};

OutputPin outputPin[] {
  // the pin     a name    LOW active (or high active)
  {ouputAPin,   "Relay",   LOW},
};

// this board has no wired PWM output so we need this precompiler define
#define NO_PWMPIN

// if you don't need shift registers use this define
#define NO_SHIFTPIN

const uint8_t wifiActivityPin = 255;  // set to 255 if activity LED is not needed
#endif
