/* *******************************************************************
   Board Settings for
   ESP8266 ESP12F Relay X8 Board 
   Controller:   ESP8266
   Description:  https://werner.rothschopf.net/microcontroller/202108_esp8266_esp12f_relay_x8_en.htm
 
   Amazon:        
   Aliexpress:   https://s.click.aliexpress.com/e/_9QHBLS

  ********************************************************************/
 
#pragma once
#if USE_BOARD == 71                    // ESP8266: example board:  --> 
#define TXT_BOARDNAME "ESP8266 8channel Relay"    // the name of the board

HardwareSerial &Terminal = Serial;     // the Serial terminal can be used on the common serial port

//declare the pins                     // on the PCB available:
const byte relay1Pin = 16;             // GPIO16
const byte relay2Pin = 14;             // GPIO14
const byte relay3Pin = 12;             // GPIO12
const byte relay4Pin = 13;             // GPIO13
const byte relay5Pin = 15;             // GPIO15
const byte relay6Pin = 0;              // GPIO0
const byte relay7Pin = 4;              // GPIO4
const byte relay8Pin = 5;              // GPIO5
//const byte io0Pin = 0;               // GPIO00/D3 - flash Jumper - also used for relay6
const byte io2Pin = 2;                 // GPIO02 - available on header
//const byte adcPin = A0;              // A0 available on header
const uint8_t ledEspPin = 2;           // GPIO02/D4 is the (blue) LED on the ESP-12F
// RX Serial = 3                       // on header available - can be used for sketch upload
// TX Serial = 1                       // on header available

// assign pins to the struct arrays:
// The ESP8266 relay board has 3 pins available on the header:
Pin inputPin[] {
  // the pin    a name for the website
  {io2Pin,    "IO2"}
};

// there are two LEDs on the PCB which can be used to indicate states of your program:
OutputPin outputPin[] {
  // the pin    a name     (LOW active or) HIGH active
  {relay1Pin, "Channel 1", HIGH},
  {relay2Pin, "Channel 2", HIGH},
  {relay3Pin, "Channel 3", HIGH},
  {relay4Pin, "Channel 4", HIGH},
  {relay5Pin, "Channel 5", HIGH},
  {relay6Pin, "Channel 6", HIGH},
  {relay7Pin, "Channel 7", HIGH},
  {relay8Pin, "Channel 8", HIGH}
};

// this relais board has no PWM outputs
#define NO_PWMPIN
//PWMPin pwmPin[] {{42, "undef", 0}};

// if you don't need shift registers use this define
#define NO_SHIFTPIN

const uint8_t wifiActivityPin = ledEspPin;  // use ledEspPin or 255 if not needed
#endif
