/* *******************************************************************
   Board Settings for
   ESP32 NodeMCU D1 R32
   Controller:   ESP32
   Description:  This is a demo for the ESP32 NodeMCU D1 R32
                 There are similar noname boards on Aliexpress
                 I'm using the board "Lolin D32" from boardmanager for upload

   Amazon:       https://amzn.to/3phdVHm
   Aliexpress:

  ********************************************************************/

#pragma once
#if USE_BOARD == 76                  // ESP32: this is for "AZDelivery ESP32 NodeMCU D1 R32" --> https://amzn.to/2Y6Z8S1
#define TXT_BOARDNAME "D1 R32 Board" // the name of the board on webgui and Serial
HardwareSerial &Terminal = Serial;   // debug messages to Terminal are routed to HW Serial

//these pins are on a separate header on the left
//const uint8_t io15 = 15;            // ADC2-3 Touch3 RTC13 SDCMD HSPICS - dont use ADC2 with WIFI
//const uint8_t io33 = 33;            // ADC1-5 Touch8 RTC8
//const uint8_t io32 = 32;            // ADC1-4 Touch9 RTC9
//these pins are on a separate header on the right but are used for integrated SPI - don't use
//const uint8_t SD2 = 9;
//const uint8_t SD3 = 10;
//const uint8_t CMD = 11;
//const uint8_t CLK = 6;
//const uint8_t SD0 = 7;
//const uint8_t SD1 = 8;
//these pins are not on broken out to the board: 20 22 24 28 29 30 35 31
//const uint8_t io35 = 35; // Input Only

// assign pins to arrays:
Pin inputPin[] {
  // the pin    a name for the website
  {4,    "IO04"},  // ADC2-0 Touch0 RTC10 SD_D1 HSPIHD - dont use ADC2 with WIFI
  {36,   "I_36"},  // ADC1-7 RTC5 - input only
  {34,   "I_34"},  // ADC1-6 RTC4 - input only
  {38,   "IO38"},  // ADC1-0 RTC0
  {39,   "I_39"}   // ADC1-3 RTC3 - input only
};

OutputPin outputPin[] {
  // pin  a name  LOW active or HIGH active
  {2,     "IO02", HIGH},  // ADC2-2 Touch 2 - there is a red LED on the board (HIGH active) - dont use ADC2 with WIFI
  {0,     "_0D_", HIGH},  // ADC2-1 Touch1 RTC11 - dont use ADC2 with WIFI - outputs PWM on boot
  {14,    "IO14", HIGH},  // ADC2-6 Touch6 RTC16 SD_CLK HSPICL - dont use ADC2 with WIFI
  {27,    "IO27", HIGH},  // ADC2-7 Touch7 RTC17 - dont use ADC2 with WIFI
  {16,    "IO16", HIGH},  // U2-RX
  {17,    "IO17", HIGH},  // U2-TX
  {25,    "IO25", HIGH},  // ADC2-8 DAC1 RTC6 - dont use ADC2 with WIFI
  {26,    "IO26", HIGH},  // ADC2-9 DAC2 RTC7 - dont use ADC2 with WIFI
  //{1,     "TX0", HIGH},   // U0-TX - used for Serial output!
  //{3,     "RX0", HIGH},   // U0-RX - used for Serial input! - High on boot
};

// as example the second row is used for PWM. 
// the ESP32 can use a maximum of 16 pins for PWM
PWMPin pwmPin[] {
  //pin   a name  a PWM value  
  {18,    "IO18", 32},  // SCK
  {19,    "IO19", 64},  // MISO
  {23,    "IO23", 128},  // MOSI
  {5,     "IO05", 256},  // SS
  {13,    "IO13", 512},  // ADC2-4 RTC14 SD_D3 HSPID - dont use ADC2 with WIFI
  {12,    "IO12", 1023},  // ADC2-5 Touch5 RTC15 SD_D2 HSPIQ - dont use ADC2 with WIFI - boot fail if pulled high
};

// this relais board has no shift registers
#define NO_SHIFTPIN

const uint8_t wifiActivityPin = 2;   // this board has one LED beside the power LED - set to 255 if activity LED is not needed
#endif
