/* *******************************************************************
   Board Settings for
   NodeMCU
   Controller:   ESP8266
   Description:  This is a demo for a NodeMCU V2
                 I prefer the smaller NodeMCU V2 but it should work for any NodeMcu with ESP8266
 
   Amazon:       https://amzn.to/3mFcOh9
   Aliexpress:   https://s.click.aliexpress.com/e/_ArF2JQ

  ********************************************************************/

#pragma once
#if USE_BOARD == 99                    // example board: NodeMCU
#define TXT_BOARDNAME "NodeMCU"        // the name of the board
HardwareSerial &Terminal = Serial;

const uint8_t flashPin = 0;            // GPIO00/D3 on NodeMCU the flash Button - this is for testing an input
const uint8_t ouputAPin = 16;          // GPIO16/D0 on NodeMCU is a (somtimes red, sometimes blue) LED on the NodeMCU Board - use this for testing the html switch
const uint8_t ouputBPin = 2;           // GPIO02/D4 on NodeMCU is the (blue) LED on the ESP-12E

// assign pins to arrays:
Pin inputPin[] {
  // the pin    a name for the website
  {flashPin,    "Flash button"},
};

OutputPin outputPin[] {
  // the pin     a name          LOW active (or high active)
  {ouputAPin,   "Output A Pin",   LOW},
};

PWMPin pwmPin[] {
  // the pin     a name          a PWM value
  {ouputBPin,   "Output B Pin",     0},
};

// this relais board has no shift registers
#define NO_SHIFTPIN

const uint8_t wifiActivityPin = ouputBPin;  // this board has a dedicated LED on the ESP
#endif
