/* *******************************************************************
   here are some general declarations
   we need them before we let the use enter his configuration
   ***************************************************************** */
#pragma once

struct Pin {                 // used for input pins (pins for digitalRead)
  const uint8_t pin;         // the GPIO
  const char *label;         // a speaking name for the pin
};

struct PWMPin {              // used for PWM pins (pins for analogWrite)
  const uint8_t pin;         // the GPIO
  const char *label;         // a speaking name for the pin
  uint16_t value;            // the current PWM level
};

struct OutputPin {           // used for output pins (pins for digitalWrite mainly)
  const uint8_t pin;         // the GPIO
  const char *label;         // a speaking name for the pin
  const uint8_t ON;          // level for ON (for high active set to HIGH)
};
