/* *******************************************************************
   Hardware
   Additional Hardware
   ***************************************************************** */
#pragma once

// shift registers 74HC595
#ifndef NO_SHIFTPIN
uint16_t shiftState = 0;              // remember the state of all outputs in a bitmask - represents the physical ON or OFF state sent to the shift registers

void shiftBegin() {
  pinMode(stcpPin, OUTPUT);
  pinMode(shcpPin, OUTPUT);
  pinMode(serPin, OUTPUT);
  pinMode(oePin, OUTPUT);
  digitalWrite(oePin, LOW);            // enable the output
}

// todo: replace hardcoded two shift registers
//       handles the 
void shiftWrite(uint8_t pin, uint8_t val) {
  if (pin > 15) return;                // sanitize input
  if (val == HIGH) {
    shiftState |= (1 << pin);          // activate the pin in the bitmask
  }
  else {
    shiftState &= ~(1 << pin);         // deactivate the pin in the bitmask
  }
  //Serial.println(shiftState, BIN);
  digitalWrite(stcpPin, LOW);
  shiftOut(serPin, shcpPin, MSBFIRST, (shiftState >> 8));    // send the higher nibble to second 74HC595
  shiftOut(serPin, shcpPin, MSBFIRST, (shiftState & 0xFF));  // send the lower nibble to first 74HC595
  digitalWrite(stcpPin, HIGH);
}

// doesn't read back the hardware state but the internal bitmap/register
int shiftRead(uint8_t pin) {
  if (pin > 15) return 0;              // sanitize input
  if (shiftState & (1 << pin)) 
    return 1; 
  else
    return 0;
}

#endif
